﻿<!DOCTYPE html>
<html >
<head>
  <meta http-equiv="content-type" content="text/html; charset=UTF-8">
  <title>My News Reader App</title>
  <script type='text/javascript' src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
  <script type='text/javascript' src='http://cdnjs.cloudflare.com/ajax/libs/angular.js/1.1.1/angular.min.js'></script>
  <script src="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.3.0/js/bootstrap.min.js"></script>
  <link rel="stylesheet" type="text/css" href="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.3.0/css/bootstrap-combined.min.css">  
  <link rel="stylesheet" type="text/css" href="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.3.0/css/bootstrap-responsive.min.css"> 
  <link href="http://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet">




<style type='text/css'>
@import url(http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700);
*{
    font-family:roboto,arial,helvetica;
}
.small{
    font-size:11px;
}
.box {
        position:                   relative;
        font-family:                sans-serif;
        display:                    block;
        width:                      92%;
        height:                     3em;
        overflow:                   hidden;
        padding-left:20px;
       
    }
    .box .text {
        color:                      #333;
        width:                      88%;
        overflow:                   hidden;
        background:                 white;
        font-size:                  .95em;
        line-height:                1;
        text-align:     			justify;
    }
    
    .box .text:after {
        content:                    ' ';
        position:                   absolute;
        display:                    block;
        width:                      100%;
        height:                     1em;
        bottom:                     0px;
        left:                       0px;
        background:                 white;
    }

    .box .text:before {
        content:                    '...';
        text-align:                 right;
        position:                   absolute;
        display:                    block;
        width:                      2em;
        height:                     1em;
        bottom:                     1em;
        right:                      45px;
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00e0e0e0', endColorstr='#e0e0e0',GradientType=1 );
    }
    
    .box1 {
        position:                   relative;
        font-family:                sans-serif;
        display:                    block;
        width:                      95%;
        height:                     38em;
        overflow:                   hidden;
        padding-left:20px;
        padding-bottom:20px;
       
    }
    .box1 .text1 {
        color:                      #333;
        width:                      100%;
        overflow:                   hidden;
        background:                 white;
        font-size:                  .95em;
        line-height:                1;
        text-align:     			justify;
    }
    
    .box1 .text1:after {
        content:                    ' ';
        position:                   absolute;
        display:                    block;
        width:                      100%;
        height:                     1em;
        bottom:                     0px;
        left:                       0px;
        background:                 white;
    }

    .box1 .text1:before {
        content:                    '';
        text-align:                 right;
        position:                   absolute;
        display:                    block;
        width:                      2em;
        height:                     1em;
        bottom:                     1em;
        right:                      45px;
    }

</style>

<style type="text/css">

.btn-sign {
	width:460px;
	margin-bottom:20px;
	margin:0 auto;
	padding:20px;
	border-radius:5px;
	background: -moz-linear-gradient(center top, #00c6ff, #018eb6);
    background: -webkit-gradient(linear, left top, left bottom, from(#00c6ff), to(#018eb6));
	background:  -o-linear-gradient(top, #00c6ff, #018eb6);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#00c6ff', EndColorStr='#018eb6');
	text-align:center;
	font-size:36px;
	color:#fff;
	text-transform:uppercase;
}

.btn-sign a { color:#fff; text-shadow:0 1px 2px #161616; }

#mask {
	display: none;
	background: #000; 
	position: fixed; left: 0; top: 0; 
	z-index: 10;
	width: 100%; height: 100%;
	opacity: 0.8;
	z-index: 999;
}

.login-popup{
	display:none;
	background: #333;
	padding: 10px; 	
	border: 2px solid #ddd;
	float: left;
	font-size: 1.2em;
	position: fixed;
	top: 50%; left: 50%;
	z-index: 99999;
	box-shadow: 0px 0px 20px #999;
	-moz-box-shadow: 0px 0px 20px #999; /* Firefox */
    -webkit-box-shadow: 0px 0px 20px #999; /* Safari, Chrome */
	border-radius:3px 3px 3px 3px;
    -moz-border-radius: 3px; /* Firefox */
    -webkit-border-radius: 3px; /* Safari, Chrome */
}

img.btn_close1 {
	float: right; 
	margin: -28px -28px 0 0;
}

fieldset { 
	border:none; 
}

form.signin .textbox label { 
	display:block; 
	padding-bottom:7px; 
}

form.signin .textbox span { 
	display:block;
}

form.signin p, form.signin span { 
	color:#999; 
	font-size:11px; 
	line-height:18px;
} 

form.signin .textbox input { 
	background:#666666; 
	border-bottom:1px solid #333;
	border-left:1px solid #000;
	border-right:1px solid #333;
	border-top:1px solid #000;
	color:#fff; 
	border-radius: 3px 3px 3px 3px;
	-moz-border-radius: 3px;
    -webkit-border-radius: 3px;
	font:13px Arial, Helvetica, sans-serif;
	padding:6px 6px 4px;
	width:200px;
}
.annotator-wrapper{
	font-family:Helvetica Neue,Helvetica,Arial,sans-serif;
}
form.signin input:-moz-placeholder { color:#bbb; text-shadow:0 0 2px #000; }
form.signin input::-webkit-input-placeholder { color:#bbb; text-shadow:0 0 2px #000;  }
.annotator-wrapper {
position: relative;
font-family:Helvetica Neue,Helvetica,Arial,sans-serif;
}
.button { 
	background: -moz-linear-gradient(center top, #f3f3f3, #dddddd);
	background: -webkit-gradient(linear, left top, left bottom, from(#f3f3f3), to(#dddddd));
	background:  -o-linear-gradient(top, #f3f3f3, #dddddd);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#f3f3f3', EndColorStr='#dddddd');
	border-color:#000; 
	border-width:1px;
	border-radius:4px 4px 4px 4px;
	-moz-border-radius: 4px;
    -webkit-border-radius: 4px;
	color:#333;
	cursor:pointer;
	display:inline-block;
	padding:6px 6px 4px;
	margin-top:10px;
	font:12px; 
	width:214px;
}

.button:hover { background:#ddd; }

</style>
<style id="jsbin-css">
.ng-modal-overlay {
  /* A dark translucent div that covers the whole screen */
  position:absolute;
  z-index:9999;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background-color:#000000;
  opacity: 0.8;
}
.ng-modal-dialog {
  /* A centered div above the overlay with a box shadow. */
  z-index:10000;
  position: absolute;
  width: auto; /* Default */
height:auto;
  /* Center the dialog */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);

background:white;
  box-shadow: 4px 4px 80px #000;
}
.ng-modal-dialog-content {
padding: 10px;
text-align: left;
width: 97%;
height: 95%;
font-size: 13px;
line-height: 1.2;
background:white;}
.ng-modal-close {
  position: absolute;
  top: 3px;
  right: 5px;
  padding: 5px;
  cursor: pointer;
  font-size: 120%;
  display: inline-block;
  font-weight: bold;
  font-family: 'arial', 'sans-serif';
}
</style>
 <style>
            #dv1{  margin-left:auto; margin-right:auto;  width:550px; border-radius:7px; }
           
        </style>
<script>

function formatDate(date){
	return date.getFullYear()+"-"+date.getMonth()+"-"+date.getDate();
}

function getRandomDate(interval) {
	var randomDiff = Math.random()*interval;
	var returnDate = new Date();
	returnDate.setDate(returnDate.getDate() - randomDiff);
	return formatDate(returnDate);
}

function addDummyDates(data) {
	for (var i=0;i<data.length;i++) {
		data[i].publishedDate = getRandomDate(10);
	}
	return data;
}

function PostsCtrlAjax($scope, $http)
{

$http({method: 'POST', url: 'js/json-test.json'}).success(function(data) {
//hack to add dummy dates to feed JSON
data = addDummyDates(data);
$scope.posts = data;
});

}

</script>

   

</head>
<body ng-app='ModalDemo'>
 
<script>
app = angular.module('ModalDemo', []);
app.directive('modalDialog', function() {
  return {
    restrict: 'E',
    scope: {
      show: '='
    },
    replace: true, // Replace with the template below
    transclude: true, // we want to insert custom content inside the directive
    link: function(scope, element, attrs) {
      scope.dialogStyle = {};
      if (attrs.width)
        scope.dialogStyle.width = attrs.width;
      if (attrs.height)
        scope.dialogStyle.height = attrs.height;
      scope.hideModal = function() {
        scope.show = false;
      };
    },
    template: "<div class='ng-modal' ng-show='show'><div class='ng-modal-overlay' ng-click='hideModal()'></div><div class='ng-modal-dialog' ng-style='dialogStyle'><div class='ng-modal-close' ng-click='hideModal()'>X</div><div class='ng-modal-dialog-content' ng-transclude></div></div></div>"
  };
});

app.controller('MyCtrl', ['$scope', function($scope) {
  $scope.modalShown = false;
  $scope.toggleModal = function() {
    $scope.modalShown = !$scope.modalShown;
  };
}]);
</script>


<div class="container-fluid" style="width:100%;padding-left:0px !important;padding-right:0px !important;">
    <div >
        <div class="row-fluid" style="background-color: #6f5499;
 background-repeat: repeat-x; height: 140px; background-image: linear-gradient(to bottom,#563d7c 0,#6f5499 100%);">
              <h1 style="margin-top:20px;text-align:center;font-family:cursive;font-size:38px;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;color:white;">Organize and Read data what matters to You</h1><br>
            
        </div>
        <div class="row-fluid" style="margin-top:-20px;">
           <div   ng-controller="PostsCtrlAjax">  
			<center>
			 <div class="input-prepend" style="width:100%;margin-top:-40px;" >
              <span class="add-on"><i class=" icon-search"></i></span>count
                   <input class="span12" type="text" data-ng-model="filterText" placeholder="Search Here" style="width:38%;" autofocus="autofocus"/>
               </div></center>
               

			 <ul class="unstyled" style="margin-left:17%;height:500px;overflow-y:hidden;margin-top:20px;padding:40px;width:60%;">
					<center><h4 style="text-align:center;margin-top:-10px;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;font-size:32px;color:grey">List of Articles</h4></center>			                
				 <span class="badge badge-warning" style="background:#d94832" >
				Total {{(posts | filter:filterText).length}} Articles</span><br><br>
                   
                <div class="col-lg-12">
            <div class="panel panel-primary" style="border-color:#dff0d8">
               

            <div class="table-responsive" style="height:450px;overflow-y:scroll;border:solid 1px rgb(151, 147, 147);border-radius:4px;" scrolling="no" >
              <table class="table bootstrap-datatable datatable" id="example">
                <thead>
                  <tr style="background-color: #6f5499;background-repeat: repeat-x;color:white;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;">
                    <th style="font-size: 17px;text-align: center;width:72%;">Article Heading</th>
						<th style="font-size: 17px;text-align: center;">Published Date </th>
						<th style="font-size: 17px;text-align: center;">View</th>
                  </tr>
                </thead>
                <tbody>
                
                  <tr ng-repeat="post in posts | filter:filterText | orderBy:'-publishedDate'">
                    
                    <td> 	<div class="box" > 
						<div class="text" >                  
					<h5 style="font-family:Helvetica Neue,Helvetica,Arial,sans-serif;">{{post.description}}</h5></div> </div>   
					</td>
                     <td style="padding-left:32px;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;" >{{post.publishedDate}}</td>
			                      <td ><div ng-controller='MyCtrl'>
			    <button ng-click='toggleModal()' style="background: #2a6496;
			color: white;
			border: none;
			border-radius: 4px;">View</button>
			    <modal-dialog show='modalShown' width='1000px' height='80%' style="border:solid 1px black;border-radius:4px;background:white;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;">
			     <div class="box1"> 
			      
					<div class="text1" style="font-size:14px;font-family:Helvetica Neue,Helvetica,Arial,sans-serif;background:white;height:450px;overflow-y:scroll"> 
					  <p style="font-family:Helvetica Neue,Helvetica,Arial,sans-serif;color:black;" > 
			{{post.description}}<p></div> </div>
			       
			    </modal-dialog>
  
			  </div><script>
			jQuery(function ($) {
			    $('p').annotator();
			});
			       </script>
  </td>       </tr>
                   
                </tbody>
              </table>
            </div>
          </div>
          </div><!-- end row -->               
            </ul>            
        </div>
  </div>
        
    </div>
</div>
       
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
     <script src="http://assets.annotateit.org/annotator/v1.2.5/annotator-full.min.js"></script>
<link rel="stylesheet" href="http://assets.annotateit.org/annotator/v1.2.5/annotator.min.css">
 
</body>
 
</html>